Page MenuHomePhabricator

lrcwiki stats are wrong
Closed, ResolvedPublic

Description

Article count in lrcwiki shows 4542 while it should be 4835.

Event Timeline

Mjbmr created this task.Aug 19 2015, 9:29 PM
Mjbmr updated the task description. (Show Details)
Mjbmr raised the priority of this task from to High.
Mjbmr added a project: Wikimedia-Site-requests.
Mjbmr added a subscriber: Mjbmr.
Restricted Application added subscribers: Dereckson, Matanya, Aklapper. · View Herald TranscriptAug 19 2015, 9:29 PM
Krenair set Security to None.
Krenair updated the task description. (Show Details)
Krenair added a subscriber: Krenair.

This should be investigated properly rather than just another site stats update script being run

Mjbmr updated the task description. (Show Details)Aug 19 2015, 9:45 PM
Mjbmr raised the priority of this task from High to Unbreak Now!.
Mjbmr added subscribers: mmodell, Jdforrester-WMF, Reedy.

Related ticketed to see why this is happened: T107969 T109404

How do you get the "should be" number? Curious because i run a wikistats project that fetches these numbers from all wikis.

Krenair updated the task description. (Show Details)Aug 19 2015, 9:48 PM
Krenair lowered the priority of this task from Unbreak Now! to Needs Triage.
Krenair removed a subscriber: Jdforrester-WMF.
Mjbmr triaged this task as Unbreak Now! priority.Aug 19 2015, 9:51 PM

@Dzahn see T107969, by running:

SELECT COUNT(DISTINCT page_id) FROM page, pagelinks WHERE pl_from = page_id AND page_namespace = 0 AND page_is_redirect = 0;
Krenair lowered the priority of this task from Unbreak Now! to Needs Triage.Aug 19 2015, 10:07 PM
Krenair changed the edit policy from "All Users" to "Custom Policy".

Please see T109404 to know how this happened, need to run following command once:

mwscript initSiteStats.php lrcwiki --update

That's all, as I said in the description and removed by @Krenair

More info:

I fetched a list of pages which don't have a link in pagelinks table:

SELECT count(distinct page_id) FROM page LEFT OUTER JOIN pagelinks ON (page_id = pl_from) WHERE pl_from IS NULL AND page_namespace in (0) AND page_is_redirect = 0 LIMIT 10;

and I ran a bot to do a null edits on those pages, I did this also for azbwiki to update pagelinks table.

As you can see on T107969, @Krenair refuses to accept that there are more articles in azbwiki.

After running null edits on azbwiki, I said @Krenair to run following command:

mwscript initSiteStats.php azbwiki --update

which he did, now we have gained stats for azbwiki from 2000 to 5000.

As you can see on T109404, pagelinks table were not updated on import.

@Reedy, please run following command once, that's all I want:

mwscript initSiteStats.php lrcwiki --update

@Jdforrester-WMF I want to know, why @Krenair keeps me away from providing information to the others like he did on T109235.

Did you read my comment yet?

This should be investigated properly rather than just another site stats update script being run

Did you read my comment yet?

No.

@Jdforrester-WMF I want to know, why @Krenair keeps me away from providing information to the others like he did on T109235.

@Mjbmr: Please read https://www.mediawiki.org/wiki/Bug_management/Phabricator_etiquette and stay on-topic. This task is about lrcwiki and not about 109235.

Mjbmr added a comment.Aug 20 2015, 6:34 PM

@Jdforrester-WMF I want to know, why @Krenair keeps me away from providing information to the others like he did on T109235.

@Mjbmr: Please read https://www.mediawiki.org/wiki/Bug_management/Phabricator_etiquette and stay on-topic. This task is about lrcwiki and not about 109235.

I am.

Mjbmr added a comment.Aug 20 2015, 6:34 PM

Please run:

mwscript initSiteStats.php lrcwiki --update

Did this command ever run?

Mentioned in SAL [2016-05-27T22:50:35Z] <legoktm> mwscript initSiteStats.php --wiki=lrcwiki --update for T109635

Legoktm closed this task as Resolved.May 27 2016, 10:50 PM
Legoktm claimed this task.
Legoktm added a subscriber: Legoktm.
legoktm@terbium:~$ mwscript initSiteStats.php --wiki=lrcwiki --update
Refresh Site Statistics

Counting total edits...40250
Counting number of articles...5145
Counting total pages...8100
Counting number of users...1171
Counting number of images...0

Updating site statistics...done.

Done.
Mjbmr added a comment.May 28 2016, 8:59 AM

I actually fixed that long time ago, when no one paid attention, by running null edits all over the wiki, thanks anyways for running that command after 10 months when no one ever tried to help I really appreciate that, that problem happened with imported pages and I don't think it's fixed yet, I lost my hope on that wiki too, local editors use their own made writing script while none speakers can read that. Thanks again.